// This is bet.util.sol

// Accessing bet methods

//----------------------------                   //
function betMakeBet(from,tip,amount,unit) {      // Make bet from account 'from' for 'tip'
  if ( bet != null && gasdefined() && eth.getCode(bet.address) != "0x" ) {
       p("ts = bet.makeBet.sendTransaction(tip,{from:eth.accounts[from], value: web3.toWei(amount,unit), gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = bet.makeBet.sendTransaction(tip,{from:eth.accounts[from], value: web3.toWei(amount,unit), gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')});
       p("Transaction sent. tx: " + ts);
  }
}

function betCancel() {                           // Cancel the bet
  if ( bet != null && gasdefined() && eth.getCode(bet.address) != "0x" ) {
       p("ts = bet.cancel.sendTransaction({from:eth.defaultAccount, gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = bet.cancel.sendTransaction({from:eth.defaultAccount, gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')});
       p("Transaction sent. tx: " + ts);
  }
}

function betCloseBet(rtip) {                     // Close the bet with the right tip
  if ( bet != null && gasdefined() && eth.getCode(bet.address) != "0x" ) {
       p("ts = bet.closeBet.sendTransaction(rtip,{from:eth.defaultAccount, gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = bet.closeBet.sendTransaction(rtip,{from:eth.defaultAccount, gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')});
       p("Transaction sent. tx: " + ts);
  }
}

function betBalance() {                          // Overall balance of the bet
   console.log("bet " + bet.address + " balance: " + web3.fromWei(eth.getBalance(bet.address),"ether") + " ether");
}

function betKill() {
  if ( bet != null && gasdefined() && eth.getCode(bet.address) != "0x" ) {
       p("ts = bet.kill.sendTransaction({from:eth.defaultAccount, gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = bet.kill.sendTransaction({from:eth.defaultAccount, gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')});
       p("Transaction sent. tx: " + ts);
  }
}

// Callbacks for events

function betEvent_betted (f, a, t) {
    p( "betEvent_betted called with" + " from: " + f  + ", amount: " + web3.fromWei(a,"ether") + " ether, " + " tip: " + t );
 }