// SPDX-License-Identifier: GNU
pragma solidity >=0.7; // ^0.5.7;

contract depot {
    address private theJudge;
    address payable private theReceiver;
    address payable private theSender;

    constructor() {
         theJudge = msg.sender;
         theReceiver = payable(address(0));
    }

    fallback() external payable { revert(); }
    receive() external payable { revert(); }

    function used() public view returns (bool){
       return theReceiver != payable(address(0));
    }

    function pay() public {
       if ( theReceiver != payable(address(0))  &&  msg.sender == theJudge ) {
          theReceiver.transfer(payable(address(this)).balance);
          theReceiver = payable(address(0));
       }
    }

    function unpay() public {
       if ( theReceiver != payable(address(0))  &&  msg.sender == theJudge ) {
          theSender.transfer(payable(address(this)).balance);
          theReceiver = payable(address(0));
       }
    }

    function send(address payable _to) public payable {
       if ( theReceiver != payable(address(0)) ) {
           //payable(msg.sender).transfer(msg.value);
           revert();
       } else {
          theReceiver = _to;
          theSender = payable(msg.sender);
       }
    }

   function kill() public { 
       if (msg.sender == theJudge) {
           if ( address(this).balance != 0 ) {
              theSender.transfer(payable(address(this)).balance);
           }
           selfdestruct(payable(msg.sender));
       }
   }
}
